- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# onyx_ospf – Manage OSPF protocol on Mellanox ONYX network devices

New in version 2.5.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module provides declarative management and configuration of OSPF protocol on Mellanox ONYX network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
interfaces - |  | List of interfaces and areas. Required if state=present.
| area - / required |  | OSPF area.
| name - / required |  | Interface name.
ospf - / required |  | OSPF instance number 1-65535
router_id - |  | OSPF router ID. Required if state=present.
state - | Choices: present ← absent | OSPF state.

## Notes

Note

- Tested on ONYX 3.6.4000

## Examples

    - name: add ospf router to interface
      onyx_ospf:
        ospf: 2
        router_id: 192.168.8.2
        interfaces:
          - name: Eth1/1
          - area: 0.0.0.0

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | The list of configuration mode commands to send to the device. Sample: ['router ospf 2', 'router-id 192.168.8.2', 'exit', 'interface ethernet 1/1 ip ospf area 0.0.0.0']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Samer Deeb (@samerd)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.